Subject: Re: EXE has file junk in it
From: [email-masked] ("Ron G. Minnich")

6 Jun 1997 00:55:54 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.SUN.3.91.970605141040.3695A-100000.cygnus.gnu-win32@terra>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: rminnich@terra
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Wed, 4 Jun 1997, Dean Limbaugh wrote:
> A word about MSDOS/WIN95/WINNT. Files sizes are always an integral number
> of clusters. This means a 1 byte file occupies a full cluster. Apparently,
> when a file is written to disk the unused portion of the buffer is not
> cleared, so whatever was there is written to the disk. 

Actually there are three possibilities, and I am trying to see which it 
is.  
1) clusters are not cleaned when reallocated to a file
2) zero-filled pages from anonymous memory are not being zero-filled
3) clusters from swap are not cleaned when allocated to a process

> ----------
> > From: jman <[email-masked]>
> > To: Gunther Ebert <[email-masked]>
> > Cc: Bill Klein <[email-masked]>; [email-masked]
> > Subject: Re: EXE has file junk in it
> > Date: Wednesday, June 04, 1997 1:22 AM
> > Using a hex editor I see this too. If you hex edit a file compiled with
> > gnuwin32 it shows files from other dir in it. This has happened on both
> > NT/Win95. It goes so far as getting a copy of my users an .pwd files. I

Are we sure about nt? If so this is a bit of a problem. But, once again, 
it is an NT problem, not a cygwin32 problem. OSes are supposed to do this 
work.

ron
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".